<div class="row">
    <div *ngFor="let crib of cribs" class="col-sm-4">
        <img src="assets/images/{{ crib.image }}.jpg" class="img-thumbnail"/>
        <div class="caption">
            <div *ngIf="!crib.showDetails">
              <h4>
                <span class="label label-primary">
                  {{ crib.type }}
                </span>
              </h4>
              <h3>
                <i class="glyphicon glyphicon-tag"></i> 
                  {{ crib.price | currency:'USD':true }}
              </h3>
              <h4>
                <i class="glyphicon glyphicon-home"></i> 
                  {{ crib.address }}
              </h4>
        
              <hr>
        
              <button 
                class="btn btn-sm btn-success"
                *ngIf="!crib.showDetails"
                (click)="crib.showDetails = !crib.showDetails">
                Details
              </button>
        
            </div>
        
            <div *ngIf="crib.showDetails">
              <div class="details">
                <h4>
                  <span class="label label-primary">
                    Beds: {{ crib.bedrooms }}
                  </span>
                  <span class="label label-primary">
                    Baths: {{ crib.bathrooms }}
                  </span>
                  <span class="label label-primary">
                    SqFt: {{ crib.area }}
                  </span>
                </h4>
        
                <p>{{ crib.description }}</p>
        
                <hr>
        
                <button
                  class="btn btn-sm btn-danger"
                  (click)="crib.showDetails = !crib.showDetails">
                  Close
                </button>
        
              </div>
            </div>
          </div>
    </div>
</div>